repeating the short npm solution

```bash
# Add into your .npmrc
@tornado:registry=https://development.tornadocash.community/api/packages/T-Hax/npm/
```

or

```bash
# Add into your .npmrc
@tornado:registry=https://git.tornado.ws/api/packages/tornado-packages/npm/
```

otherwise if ready to use yarn 3:

install

```bash
# first deinstall yarn to be safe
npm i -g corepack
corepack prepare yarn@<version> --activate
yarn --version
# Should print 3.X.X or above
```

for node <16.10

```bash
# first deinstall yarn to be safe
corepack enable
corepack prepare yarn@stable --activate
yarn --version
# Should print 3.X.X or above
```

for node >=16.10

then to setup a project

```bash
cp yarnrc.yml your-project-dir/.yarnrc.yml
cp gitea.env.example your-project-dir/.gitea.env
cp gitignore your-project-dir/.gitignore
# Then uncomment one of the possibilities in gitignore
```

and then head over to [config](./gitea.env.example)